diff --git a/src/tools/msvc/Mkvcbuild.pm b/src/tools/msvc/Mkvcbuild.pm
index d8c279a..31a8346 100644
--- a/src/tools/msvc/Mkvcbuild.pm
+++ b/src/tools/msvc/Mkvcbuild.pm
@@ -526,14 +526,14 @@ sub mkvcbuild
 		# ActivePerl 5.16 provided perl516.lib; 5.18 provided libperl518.a
 		my @perl_libs =
 		  grep { /perl\d+\.lib$|libperl\d+\.a$/ } glob($perl_path);
-		if (@perl_libs == 1)
+		if (@perl_libs > 0)
 		{
+                        # With the new ActivePerl release 5.24.3 both the .a and the .lib are available. Use the .lib if both are found 
 			$plperl->AddLibrary($perl_libs[0]);
 		}
 		else
 		{
-			die
-"could not identify perl library version matching pattern $perl_path\n";
+			die "could not identify perl library version matching pattern $perl_path\n";
 		}
 
 		# Add defines from Perl's ccflags; see PGAC_CHECK_PERL_EMBED_CCFLAGS
